com.google.web.bindery.requestfactory.shared

## Interface Violation

Deprecated.
users should upgrade to the full `ConstraintViolation` type by switching their `Receiver` implementations to use `Receiver.onConstraintViolation(java.util.Set)` instead of `Receiver.onViolation(java.util.Set)`.

    @Deprecated
    public interface Violation

A lightweight representation of a `ConstraintViolation`.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`BaseProxy` `getInvalidProxy()` Deprecated. If the ConstraintViolation occurred while validating a object, this method will return a BaseProxy that contains the invalid values.
`java.lang.String` `getMessage()` Deprecated. Returns the message associated with this `Violation`.
`BaseProxy` `getOriginalProxy()` Deprecated. If the ConstraintViolation occurred while validating a value object that originated from the server, this method will return a BaseProxy that contains the original values.
`java.lang.String` `getPath()` Deprecated. Returns the path associated with this `Violation`.
`EntityProxyId<?>` `getProxyId()` Deprecated. Returns the proxy id associated with this `Violation` if the object associated with the violation is an `EntityProxy`.

### Method Detail

#### getInvalidProxy

    BaseProxy getInvalidProxy()

Deprecated.
If the ConstraintViolation occurred while validating a object, this method will return a BaseProxy that contains the invalid values.

Returns:
  the BaseProxy that caused the ConstraintViolation

#### getMessage

    java.lang.String getMessage()

Deprecated.
Returns the message associated with this `Violation`.

Returns:
  a String message

#### getOriginalProxy

    BaseProxy getOriginalProxy()

Deprecated.
If the ConstraintViolation occurred while validating a value object that originated from the server, this method will return a BaseProxy that contains the original values.

Returns:
  the BaseProxy originally sent by the server or `null` if the BaseProxy was created on the client.

#### getPath

    java.lang.String getPath()

Deprecated.
Returns the path associated with this `Violation`.

Returns:
  a String path

#### getProxyId

    EntityProxyId<?> getProxyId()

Deprecated.
Returns the proxy id associated with this `Violation` if the object associated with the violation is an `EntityProxy`.

Returns:
  an `EntityProxyId` instance or `null` if the object is a ValueProxy.